<?php

namespace UP1\AgendaTheses\Domain\Model;


class Apogee {

    /**
     * Array of datas to be displayed.
     *
     * @var array
     */
    protected $arrayForDisplay = array();

    /**
     * An empty constructor - fill it as you like
     *
     */
    public function __construct() {

    }

    /**
     * Transform Apogee datas to array for display
     *
     * return void
     */
    public function transformApogeeDatasArrayToArrayForDisplay($ArrayDatasFromApogee) {
        $cod_ths = "";
        $these = array('NOM_PRENOM' => "",'LIB_THS' => "",'DAT_SOU_THS' => "",'HEURE_SOUTENANCE' => "",'LIEU_SOUTENANCE' => "",'NOM_PRENOM_JURY' => "",'LIB_EDO' => "",'NOM_PRENOM_DIR' => "",'NOM_PRENOM_CODIR' => "");
        $count = count($ArrayDatasFromApogee);
        for ($iterator = 0 ; $iterator < $count ; $iterator++)
        {
            if ($ArrayDatasFromApogee[$iterator]['COD_THS'] != $cod_ths)
            {
                $this->arrayForDisplay[] = $these;
                $these['NOM_PRENOM'] = $ArrayDatasFromApogee[$iterator]['LIB_NOM_PAT_IND']." ".$ArrayDatasFromApogee[$iterator]['LIB_PR1_IND'];
                $these['LIB_THS'] = $ArrayDatasFromApogee[$iterator]['LIB_THS'];
                $these['DAT_SOU_THS'] = $ArrayDatasFromApogee[$iterator]['DAT_SOU_THS'];
                //calcul de l'heure de soutenance
                if ($ArrayDatasFromApogee[$iterator]['MM_SOU_THS'] == '0')
                {
                    $minute = "00";
                }
                else
                {
                    $minute = $ArrayDatasFromApogee[$iterator]['MM_SOU_THS'];
                }
                $these['HEURE_SOUTENANCE'] = $ArrayDatasFromApogee[$iterator]['HH_SOU_THS'].":".$minute;
                $these['LIEU_SOUTENANCE'] = $ArrayDatasFromApogee[$iterator]['LIB_CMT_LEU_SOU_THS'];
                $these['NOM_PRENOM_JURY'] = $ArrayDatasFromApogee[$iterator]['NOMPJURY']." ".$ArrayDatasFromApogee[$iterator]['PNOMJURY'];
                $these['LIB_EDO'] = $ArrayDatasFromApogee[$iterator]['LIB_EDO'];
                $these['NOM_PRENOM_DIR'] = $ArrayDatasFromApogee[$iterator]['NOMPDIR']." ".$ArrayDatasFromApogee[$iterator]['PNOMDIR'];
                $these['NOM_PRENOM_CODIR'] = $ArrayDatasFromApogee[$iterator]['NOMPCODIR']." ".$ArrayDatasFromApogee[$iterator]['PNOMCODIR'];
            }
            else
            {
                $these['NOM_PRENOM_JURY'] .= ", ".$ArrayDatasFromApogee[$iterator]['NOMPJURY']." ".$ArrayDatasFromApogee[$iterator]['PNOMJURY'];
            }
            $cod_ths = $ArrayDatasFromApogee[$iterator]['COD_THS'];
        }
        $this->arrayForDisplay[] = $these;
        //delete the first entry
        @array_shift($this->arrayForDisplay);
    }

    /**
     * Gets the thesis list
     *
     * @return array The list of the thesis
     */
    public function getListThesis($filter='1') {



        return $this->arrayForDisplay;
    }
} 